// $primary-color: #3F107E;
$primary-color: #FF4E00;
$secondary-color: #9B0E8E;
$secondary-light-color: #FFD4FB;
$secondary-ultralight-color: #FFEEFD;
$light-color: #fff;
$light-grey: #eee;
$secondary-color2:#4B1346;
$text-dark-color:#000;
$card-grad-color-1: #F3DDFC;
$card-grad-color-2: #E0EAFF;
$card-grad2-color-1:#FCF9C9;
$card-grad2-color-2:#FFDAC8;



html, body{
    margin: 0;
    padding: 0;
    background-color: #FAFAFA;
    font-family: 'Montserrat', sans-serif;
    position: relative;
}

.overflow-hidden{
    overflow: hidden !important;
}

*{
    transition: 0.2s;
}

a{
    text-decoration: none;
    color: #000;
    font-weight: 500;
}
p{
    margin-bottom: 0;
}
i{
    cursor: pointer;
}
@keyframes fadeDown {
    from {
        opacity: 0;
        margin-top: -2rem;
    }
    to {
        opacity: 1;
        margin-top: 1rem;
    }
}

@keyframes fadeUp {
    from {
        opacity: 0;
        transform: scale(.9);
    }
    to {
        opacity: 1;
        transform: scale(1);
    }
}
@keyframes fadeIn {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}
.top-margin-16{
    margin-top: 16px !important;
}
.margin-bottom-8{
    margin-bottom: 8px;
}
.fa-star,.fa-star-half-alt{
    color: #FFDD17;
}
.checked{
    color: #FFDD17; 
 }
 .solid-action-btn{
    background-color: $primary-color;
    padding: 8px 24px;
    font-size: 12px;
    font-weight: 700;
    border-radius: 40px;
    border: 1px solid $primary-color;
    text-align: center;
    color: $light-color;
    cursor: pointer;
    text-transform: uppercase;
}
 .solid-action-btn-new{
    background-color: $primary-color;
    padding: 8px 24px;
    font-size: 12px;
    font-weight: 700;
    border-radius: 40px;
    border: 1px solid $primary-color;
    text-align: center;
    color: $light-color;
    cursor: pointer;
    text-transform: uppercase;
    width:100%
}


.outline-action-btn-new{
    color: $primary-color;
    padding: 8px 24px;
    background-color: transparent;
    font-size: 15px;
    font-weight: 700;
    border-radius: 20px;
    border: 1px solid $primary-color;
    width: 100%;
}
.outline-action-btn{
    color: $primary-color;
    padding: 8px 24px;
    background-color: transparent;
    font-size: 15px;
    font-weight: 700;
    border-radius: 40px;
    border: 1px solid $primary-color;
    width: 100%;
}
.section-name{
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 12px;
    text-transform: uppercase;
}
.section-title{
    color: rgba(0, 0, 0, 0.8);
    font-size: 1.3rem;
    font-weight: 600;
    text-transform: capitalize;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 25px;
    @media(max-width:768px){
        padding: 0 16px;
    }
}
.cart{
    cursor: pointer;
    position: relative;
    img{
        width: 30px;
    }
    .cart-count{
        position: absolute;
        min-width: 20px;
        height: 20px;
        background-color: #fa3636;
        padding: 4px 2px;
        display: flex;
        align-items: center;
        justify-content: center;
        top: -3px;
        left: 22px;
        border-radius: 49% 51% 49% 51%/46% 48% 52% 54%;
        span{
            color: white;
            font-size: 12px;
        }
    }
    .mssg{
        position: absolute;
        top: 40px;
        left: -85px;
        background-color:#707070;
        color: #fff;
        font-weight: 600;
        font-size: 12px;
        padding: 5px;
        width: max-content;
        text-transform: capitalize;
        display: none;
    }
}
.heading{
    text-align: center;
    color: $secondary-color2;
    // margin: 20px auto 0px;
    h5{
        font-size: 1.75rem;
        font-weight: 600;
    }
    @media (max-width:576px){
        h5{
            font-size: 1.25rem;
            margin-bottom: 5px;
        }
    }
}
.blur-overlay{
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(5px);
    align-items: center;
    justify-content: center;
    overflow: auto;
    animation-name: fadeIn;
    animation-duration: 0.3s;
    z-index: 1000;
    .share-box{
        background-color: #ffffff;
        margin: auto;
        width: 700px;
        border-radius: 16px;
        box-shadow: 0 8px 32px rgb(0 0 0 / 24%);
        animation-name: fadeUp;
        animation-duration: 0.5s;
        z-index: 10000;
        padding: 16px 25px;
        .head{
            display: flex;
            align-items: center;
            justify-content: space-between;
            h5{
                font-weight: bold;
            }
            .close{
                padding: 0px 8px;
                background-color: #606060;
                color: #fff;
                border-radius: 2px;
                cursor: pointer;
            }
        }
        .share-content{
            margin: 1rem 0;
            .banner{
                width: 100%;
                height: 170px;
                overflow: hidden;
                img{
                    width: 100%;
                    height: 170px;
                    object-fit: cover;
                    object-position: center;
                    border-radius: 5px;
                }
            }
            .share-icons{
                display: flex;
                flex-wrap: wrap;
                margin: 16px auto;
                img{
                    width: 60px;
                    cursor: pointer;
                }
            }
            button{
                border-radius: 2px;
            }
        }
    }
    .subscription-box{
        background-color: #ffffff;
        margin: auto;
        // width: 990px;
        border-radius: 16px;
        box-shadow: 0 8px 32px rgb(0 0 0 / 24%);
        animation-name: fadeUp;
        animation-duration: 0.5s;
        z-index: 10000;
        padding: 16px 25px 0px;
        .head{
            display: flex;
            align-items: center;
            justify-content: space-between;
            .close{
                padding: 0px 8px;
                background-color: #606060;
                color: #fff;
                border-radius: 2px;
                cursor: pointer;
            }
        }
        .subscription-content{
            margin: 1rem 0;
            .selected-course{
                padding: 16px 0px;
                box-shadow: 2px 2px 16px #00000032;
                border-radius: 5px;
                margin-bottom: 40px;
                .banner{
                    width: 100%;
                    height: 140px;
                    overflow: hidden;
                    display: grid;
                    grid-template-columns: 40px auto;
                    align-items: flex-start;
                    .radio{
                        display: inline-flex;
                        align-items: center;
                        cursor: pointer;
                        font-size: 16px;
                        .radio-input{
                            display: none;                        
                        }
                        .radio-outline{
                           width: 1.25em; 
                           height: 1.25em;
                           border: 2px solid $primary-color;
                           border-radius: 50px;
                           margin-right: 10px;
                           box-sizing: border-box;
                           padding: 3px;
                           &::after{
                            content:"";
                            width: 100%;
                            height: 100%;
                            display: block;
                            background: $primary-color;
                            border-radius: 50px;
                            transform: scale(0);
                            transition: 0.15s;
                           }
                        }
                        .radio-input:checked + .radio-outline::after{
                            transform: scale(1);
                        }
                    }
                    img{
                        width: 100%;
                        height: 140px;
                        object-fit: contain;
                        object-position: center;
                        border-radius: 5px;
                    }
    
                }
                .info{
                    h5, h6{
                        font-weight: 600;
                    }
                    p{
                        margin-bottom: 5px;
                    }
                }
            }
            .mid-section{
                position: relative;
                text-align: center;
                span{
                    position: absolute;
                    left: 0;
                    right: 0;
                    display: inline-table;
                    padding: 0 16px;
                    top: 0;
                    bottom: 0;
                    font-size: 20px;
                    font-weight: bold;
                    margin: auto;
                    background-color: #fff;
                    text-transform: uppercase;
                }
            }
            .other-plans{
                h5{
                    text-align: center;
                    margin: 20px;
                }
                .radio{
                    display: inline-flex;
                    align-items: center;
                    cursor: pointer;
                    font-size: 16px;
                    .radio-input{
                        display: none;                        
                    }
                    .radio-outline{
                        width: 1.25em; 
                        height: 1.25em;
                        border: 2px solid $primary-color;
                        border-radius: 50px;
                        margin-right: 10px;
                        box-sizing: border-box;
                        padding: 3px;
                        &::after{
                         content:"";
                         width: 100%;
                         height: 100%;
                         display: block;
                         background: $primary-color;
                         border-radius: 50px;
                         transform: scale(0);
                         transition: 0.15s;
                        }
                     }
                     .radio-input:checked + .radio-outline::after{
                        transform: scale(1);
                    }
                    .content{
                    //    display: grid;
                    //    grid-template-columns: 30px auto;
                       
                    } 
                }
                .pricing{
                    position: relative;
                    display: grid;
                    grid-template-columns: 40px auto;
                    align-items: flex-start;
                    box-shadow: 2px 2px 16px #00000032;
                    padding: 16px 25px;
                    border-radius: 5px;
                    min-height: 170px;
                    .price-info{
                        font-weight: 600;
                        .duration{
                            font-size: 16px;
                            font-weight: bold;
                        }
                        li{
                            font-size: 14px;
                            margin: .5rem 0;
                        }
                        .price{
                            font-size: 20px;
                            font-weight: bold;
                        }
                    }
                    .best-seller{
                        position: absolute;
                        right: 0;
                        top: 0;
                        background: #FF4E00;
                        color: #fff;
                        padding: 5px;
                        border-radius: 0 5px;
                        font-weight: 600;
                        font-size: 14px;
                    }
                }
            }
            .order-detail{
                display: flex;
                align-items: center;
                justify-content: flex-end;
                font-weight: 600;
                h5{
                    font-size: 22px;
                    font-weight: bold;
                    color: $secondary-color2;
                    margin: 0 25px;
                }
                p{
                    font-size: 20px;   
                    color: #5E5B65;
                    margin: 0 30px;
                }
                .solid-action-btn{
                    font-size: 16px;
                }
            }
        }
    }
    .dialog-box {
        margin: auto;
        background-color: #ffffff;
        box-shadow: 0 8px 32px rgb(0 0 0 / 32%);
        overflow: hidden;
        border-radius: 8px;
        width: 620px;
        height: 460px;
        animation-name: fadeUp;
        animation-duration: 0.5s;
        .heading{
            height: 56px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            .btnCloseDialog{
                background-color: transparent;
                border: none;
                padding: 1rem;
                outline: none;
                transition: all 0.3s ease;
                img{
                    height: 24px;
                     width: 24px;
                     opacity: 0.5;
                }
            }
        }
        .body{
            min-height: 320px;
            max-height: auto;
            overflow: auto;
            padding: 1rem;
            text-align: center;
            position: relative;
            display: block;
            .dialog-icon{
                display: block;
                margin: 1rem auto;
                width: 56px;
                height: 56px;
            }
            a{
                color: #007bff;
                text-decoration: none;
                background-color: transparent;
            }
        }
        .footer{
            display: flex;
            align-items: center;
            justify-content: center;
            height: 56px;
            padding: 0 1rem;
        }
    }
}
.img-border{
    &:hover{
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
        transform: scale(1.15);;
        border-radius: 5px;
        overflow: hidden;
        cursor: zoom-in;
    }
    @media(max-width:576px){
        &:hover{
            box-shadow: none;
            transform: none;
            overflow: unset;
        }
    }
}

main{
    padding: 25px;
    background-color: #fff;
    section{
        padding: 50px 0;
    }
    .bottom-border{
        border-bottom: 1px solid #d3d3d3;
    }
    .hero-banner{
        padding: 40px 50px 50px;
        .img-wrapper{
            position: relative;
            display: flex;
            justify-content: center;
            border-radius: 8px;
            overflow: hidden;
            &::before{
                content: "";
                position: absolute;
                top: 0;
                left: 0;
                width: 100%;
                height: 100%;
                background-color: rgba(0, 0, 0, 0.25);
            }
            img{
                width: 100%;
            }
            .explore-btn{
                position: absolute;
                bottom: 10%;
                .solid-action-btn{
                    font-size: 18px;
                    padding: 8px 20px;
                    transition: all 0.2s ease-in-out;
                    border-color: transparent;
                    box-shadow: 0 4px 16px rgba(255, 78, 0, 0.32);
                    &:hover{
                        box-shadow: 0 8px 16px rgba(255, 78, 0, 0.5);
                        transform: translateY(-2px);
                        color: #FFF;
                        bottom: 12%;
                    }
                }
            }
        }

    }
    .categories{
        @media(max-width:991px){
            overflow-x: scroll;
            margin: 1rem 0;
            &::-webkit-scrollbar{
                height: 5px;
                cursor: pointer;
            }
            &::-webkit-scrollbar-thumb {
              background: #a09e9e; 
              border-radius: 5px;
              cursor: pointer;
            }
        }
        .cat-item{
            display: flex;
            li{
                position: relative;
                list-style: none;
                margin: 0;
                input[type='radio']{
                    position: absolute;
                    opacity: 0;  
                    &:checked + label{
                        background: linear-gradient(120deg, #FF88F3 10%, #94BEFF 90%);
                        filter: brightness(125%);
                    }
                } 
                label{
                    display: flex;
                    justify-content: center;
                    cursor: pointer;
                    padding: 8px 3px;
                    box-shadow: 0 2px 10px 1px rgb(0 0 0 / 15%);
                    border-radius: 5px;
                    margin: 8px 5px;
                    width: 120px;
                    min-height: 50px;
                    align-items: center;
                    span{
                        word-wrap: break-word;
                        text-align: center;
                        font-weight: 600;
                        font-size: 10px;
                        padding: 0 8px;
                    }
                }   
            }
        }
        @media(max-width:576px){
            .cat-item{
                li{
                    label{
                        width: 100px;
                        min-height: 40px;
                        span{
                            font-size: 8px;
                        }
                    }
                }
            }
        }
    }
    .card{
        margin-top: 2rem;
        box-shadow: 2px 2px 16px rgb(0 0 0/11%);
        border-radius: .5rem;
        &:hover{
            box-shadow: 0 4px 8px rgb(0 0 0 / 40%); 
            transform: translateY(-2px);
            overflow: hidden;
            .img-wrapper{
                &::before{
                    content: "";
                    position: absolute;
                    top: 0;
                    left: 0;
                    width: 100%;
                    height: 100%;
                    transition: all .1s ease-in-out;
                    background-color: rgba(0, 0, 0, 0.25);
                }
                .solid-action-btn{
                    opacity: 1;
                    transition: all .1s ease-in-out;
                }
            }
        }
        .img-wrapper{
            position: relative;
            cursor: pointer;
            width: 100%;
            height: 250px;
            overflow: hidden;
            img{
                width: 100%;
                object-fit: unset;
                height: 100%;
                object-position: center;
            }
            &::before{
                content: "";
                position: absolute;
                top: 100%;
                left: 0;
                width: 100%;
                height: 100%;
                background-color: rgba(0, 0, 0, 0.25);
            } 
            .solid-action-btn{
                position: absolute;
                bottom: 40%;
                left: 30%;
                right: 30%;
                border-radius: 5px;
                opacity: 0;
                padding: 8px 14px;
                font-size: 12px;
            } 
        }
        .card-body{
            padding: .5rem 1rem;
            .card-text{
                font-size: 12px;
                font-weight: 600;
                margin-bottom: 8px;
                display: -webkit-box;
                -webkit-box-orient: vertical;
                overflow: hidden;
                -webkit-line-clamp: 1;
            }
        }
        @media (max-width:576px){
            .img-wrapper{
                height: 200px;
                img{
                    height: 100%;
                }
            }
            .card-body{
                padding: .75rem;
            }
        }
        @media(max-width: 991px){
            .img-wrapper{
                &::before{
                    display: none;
                }
                .solid-action-btn{
                    display: none;
                }
            }
        }
    }
    .owl-carousel{
        .owl-item{
            margin-bottom: 16px;
        }
        .owl-nav{
            .owl-prev{
                left: -30px;
                padding: 20px;
            }
            .owl-next{
                right: -30px;
            }
            .owl-prev,.owl-next{
                position: absolute;
                top: 40%;
                border-radius: 50%;
                border: 1px solid #a09e9e;
                width: 40px;
                height: 40px;
                background-color: #ffff;
                box-shadow: 2px 2px 16px #00000030;
                span{
                    font-size: 30px;
                    font-weight: 500;
                    line-height: 1;
        
                }
                &:hover{
                    background-color: #a09e9e;
                }
            }
            @media (max-width:576px){
                .owl-prev{
                    left: -16px;
                    padding: 20px;
                }
                .owl-next{
                    right: -16px;
                }
            }
        }
        .owl-dots {
            position: relative;
            text-align: center;
            margin-top: 0.5rem;
            .owl-dot {
                height: 8px;
                width: 8px;
                background-color: $secondary-color;
                margin: 0 .5rem;
                opacity: .5;
                outline: none;
                border-radius: 100px;
                transition: all .2s ease-in-out;
            }
            .active {
                opacity: 1;
                width: 16px;
            }
        }
    }
    .product-detail, .order-summary{
        position: relative;
        .product-image{
            // border: 1px solid #d3d3d3;
            padding: 16px;
            display: flex;
            flex-wrap: wrap;
            img{
                width: 49%;
                margin: 2px;
                border-radius: 5px
            }
        }
        .owl-carousel{
            display: none;
        }
        .product-info{
            padding: 16px;            
            color:#707070;
            p{
                font-weight: 600;
                font-size: 18px;
                s{
                    color: #adadad;
                    font-size: 14px;
                    margin-left: 5px;
                }
                small{
                    color:#388e3c;
                    font-size: 14px;
                    font-weight: 600;
                }
            }
            .color-opt{
                margin-left: 1rem;
                .radio{
                    display: inline-flex;
                    align-items: center;
                    cursor: pointer;
                    font-size: 16px;
                    .radio-input{
                        display: none;                        
                    }
                    .radio-outline{
                       width: 1.5em; 
                       height: 1.5em;
                       border-radius: 50px;
                       margin-right: 10px;
                       box-sizing: border-box;
                       padding: 3px;
                    //    background: #9A88F3;
                    }
                    .radio-input:checked + .radio-outline{
                       border: 4px solid #d3d3d3;
                    }
                }
            }
            .rating{
                font-size: 14px;
                font-weight: 600;
            }
        }
        .btns{
            display: flex;
            flex-direction: column;
            margin-top: 30px;
            button{
                border-radius: 40px;
                font-size: 16px;
                padding: 12px 24px;
                width: 100%;
            }
            .solid-action-btn{
                &:hover{
                    box-shadow: 0 8px 16px rgba(255, 78, 0, 0.5);
                    transform: translateY(-2px);
                }
            }
        }
        .location-check{
            margin-top: 30px;            
            color:#707070;
            p{
                font-size: 1.5rem;
                font-weight: 500;
            }
            .status-input{
                display: flex;
                align-items: center;
                .input{
                    position: relative;
                    input[type=number]{
                        border: none;
                        border-radius: 5px;
                        padding: 10px 16px;
                        box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.2078431373);
                        width: 100%;
                        &:focus-visible{
                            outline: none;
                        }
                        &::-webkit-outer-spin-button,
                        &::-webkit-inner-spin-button {
                            -webkit-appearance: none;
                            margin: 0;
                        }
                    }
                    span{
                        position: absolute;
                        right: 5%;
                        bottom: 20%;
                        color: $primary-color;
                        font-weight: 600;
                        cursor: pointer;
                    }
                }
                .status{
                    font-size: 14px;
                    margin-left: 16px ;
                    font-weight: 600;
                }
            }
        }
        .description{
            margin-top: 30px;
            color:#707070;
            .head{
                font-size: 24px;
                font-weight: 500;
            }
            .para{
                text-align: justify;
                margin-bottom: 8px;
            }
        }
        .cart-info{
            padding: 16px 0 0 0 !important;
            img{
                width: 100%;
            }
        }
        .detail{
            padding: 0 0 2rem 0;
            display: flex;
            justify-content: space-between;
            .color{
                // background-color: #9A88F3;
                width: 20px;
                height: 20px;
                border-radius: 50%;
                margin-left: 16px ;
            }
            .price{
                font-size: 18px;
                font-weight: 600;
            }
        }
        .add-on{
            padding: 16px 0 0 0 !important;
            .counter{
                button, span{
                    padding: 0.1rem 0.75rem;
                    border: 1px solid $primary-color;
                    font-size: 1.15rem;
                    font-weight: 600;
                    color: $primary-color;
                    background-color: #fff;
                }
                button{                
                    cursor: pointer;
                    &:hover{
                        color: #fff;
                        background-color: $primary-color;
                    }
                }
                span{
                    padding: 0.23rem 0.75rem;
                }
            }
            .remove{
                color: $primary-color;
                font-weight: 600;
                border: 1px solid $primary-color;
                padding: 8px 20px;
                margin-top: 16px;
                cursor: pointer;
            }
        }
        .add-note{
            text-align: right;
            display: flex;
            justify-content: end;
            flex-direction: column;
            align-items: end;
            margin: 2rem 0 4rem; 
            label{
                font-size: 18px;
                font-weight: 600;
                margin-bottom: 8px;
            }
            textarea{
                border:none;
                padding: 10px;
                border-radius: 5px;
                box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.20);
                // width: 50%;
                &:focus-visible{
                    outline: none;
                }
            }
            @media(max-width:991px){
                textarea{
                    width: 100%;
                }
            }
        }
        .checkout{
            position: fixed;
            bottom: 0;
            background-color: #fff;
            width: 100%;
            padding: 20px;
            left: 0;
            right: 0;
            z-index: 100;
            box-shadow: 0 0px 8px rgba(0, 0, 0, 0.08);
            p{
                font-size: 20px;
                color: $secondary-color2;
                margin: 0 25px;
                font-weight: 600;
            }
            button{
                margin: 0 25px;
                font-size: 16px;
            }
        }
        .empty-cart{
            // display: none;
            background-color: #f9f9f9;
            padding: 2rem;
            img{
                width: 300px;
            }
            p{
              font-size: 20px;  
              font-weight: 600;
            }
        }
        @media(max-width:991px){
            .product-image{
                img{
                    width: 100%;
                }
            }
            .location-check{
                .status-input{
                    flex-direction: column;
                    align-items: unset;
                }
            }
        }
        @media(max-width:576px){
            .product-image{
                // flex-wrap: nowrap;
                // overflow-x: scroll;
                // scroll-snap-type: x mandatory;
                // &::-webkit-scrollbar{
                //     height: 3.5px;
                // }            
                // &::-webkit-scrollbar-thumb {
                //     background: $primary-color; 
                //     border-radius: 5px;
                //   }
                // img{
                //     width: 100%;
                //     flex: 1;
                //     scroll-snap-align: start;
                // }
                display: none;
            }
            .owl-carousel{
                display: block;
                .owl-dots {
                    position: relative;
                    text-align: center;
                    margin-top: 0.5rem;
                    .owl-dot {
                        height: 8px;
                        width: 8px;
                        background-color: $secondary-color;
                        margin: 0 .5rem;
                        opacity: .5;
                        outline: none;
                        border-radius: 100px;
                        transition: all .2s ease-in-out;
                    }
                    .active {
                        opacity: 1;
                        width: 16px;
                    }
                }
            }
            .content{
                padding: .5rem !important;
            }
            .detail{
                display: unset;
            }
            .add-on{    
                display: flex;
                align-items: center;
                justify-content: flex-end;
                margin: 1rem 0 2rem 0;
                .counter{
                    button,span{
                        font-size: 12px;
                        padding: .25rem .75rem;
                    }
                }
                .remove{
                    margin: 0 8px;
                    padding: 5px 16px;
                    font-size: 12px;
                }
            }
            .ad-note{
                margin-bottom: 50px;
            }
            .checkout{
                p,button{
                    margin: 0 4px;
                }
            }
        }
    }
    .reviews{
        margin-bottom: 50px;
        .content{
            padding: 16px;
            background-color: #F6F6F6;
            box-shadow: 2px 2px 4px #00000011;
            border-radius: 5px;
            margin-bottom: 16px;
            .message{
                font-size: 14px;
                font-weight: 600;
                text-align: justify;
                margin-top: 8px;
            }
            .user-info{
                display: grid;
                grid-template-columns: 70px auto 250px;
                align-items: center;
                .image{
                    width: 60px;
                    height: 60px;
                    img{
                        width: 60px;
                        height: 60px;
                        border-radius: 100px;
                        object-fit: cover;
                        object-position: center top;
                    }
                }
                .name{
                    display: flex;
                    flex-direction: column;
                    margin-left: 16px;
                    .rating{
                        display: flex;
                        align-items: center;
                        .rate-no{
                            margin-right: 10px;
                        }
                        .time{
                            font-size: 14px;
                            color: #707070;
                            margin-left: 16px;
                            font-weight: 600;
                        }
                    }
                }
                a{
                    font-weight: bold;
                }
            }
            @media(max-width:576px){
                .message{
                    margin-top: 16px;
                }
                .user-info{
                    grid-template-columns: 70px auto 130px;
                }
                .rating{
                    display: flex;
                    flex-direction: column;
                    .fa-star,.fa-star-half-alt{
                        font-size: 12px;
                    }
                }
            }
        }
    }
    .checkout-detail,.shipping-method{
        .head{
            font-size: 25px;
            font-weight: 600;
        }
        .mid-section{
            position: relative;
            text-align: center;
            margin: 1rem auto;
            span{
                position: absolute;
                left: 0;
                right: 0;
                display: inline-table;
                padding: 0 16px;
                top: 0;
                bottom: 0;
                font-size: 20px;
                font-weight: bold;
                margin: auto;
                background-color: #fff;
                text-transform: uppercase;
            }
        }
        .radio{
            display: inline-flex;
            // align-items: center;
            cursor: pointer;
            font-size: 16px;
            .radio-input{
                display: none;                        
            }
            .radio-outline{
                width: 1.25em; 
                height: 1.25em;
                border: 2px solid $primary-color;
                border-radius: 50px;
                margin-right: 10px;
                box-sizing: border-box;
                padding: 3px;
                &::after{
                 content:"";
                 width: 100%;
                 height: 100%;
                 display: block;
                 background: $primary-color;
                 border-radius: 50px;
                 transform: scale(0);
                 transition: 0.15s;
                }
             }
             .radio-input:checked + .radio-outline::after{
                transform: scale(1);                
            }
        }
        .pricing{    
            padding: 16px;
            background-color: #f9f9f9;
            border-radius: 8px;
            width: 100%;
            margin-bottom: 16px;
            .user-info{
                font-weight: 500;
            }
            .saved{
                display: flex;
                justify-content: space-between;
                .edit{
                    a{
                        color: $primary-color;
                        margin: auto 8px;
                    }
                }
            }
            &:hover{
                box-shadow: 0 0 5px #00000032;
                transform: scaleY(1);
            }
        }
        .ship-info{
            font-weight: 500;
        }
        .add-address{
            color: #2874F0;
            font-weight: 600;
            background-color: #fff;
            border: 1px dashed #d7d7d7;
            padding: 8px 16px;
            width: 50%;
        }
        @media(max-width: 768px){
            .add-address{
                width: 100%;
            }
            .mid-section{
                span{
                    font-size: 12px;
                }
            }
            .ship-info{
                grid-template-columns: 190px auto;
            }
        }
    }
    .shipping-method{
        padding-bottom: 25px;
        .head{
            font-size: 18px;
        }
        @media(max-width: 991px){
            margin-top: 2rem;
        }
    }
    .ship-checkout{
        p{
            font-size: 16px;
            font-weight: 600;
            margin: 0 16px 0 0;
        }
    }
    .checkout-form{
        .head{
            font-size: 20px;
            font-weight: 600;
            padding: 16px;
        }
        .f-form{
            width: 100%;
            padding: 16px;
            .head{
                font-size: 20px;
                font-weight: bold;
                color: $secondary-color2; 
            }
            .form-fields{
                margin: 25px auto 0;
                .form-group{
                    display: flex;
                    flex-direction: column;
                    label{
                        font-size: 16px;
                        font-weight: 600;
                        margin-bottom: 8px;
                    }
                    input[type='text'],input[type='email'], input[type='number'], input[type='date'] , select, textarea{
                        border: none;
                        border-radius: 5px;
                        padding: 10px 16px;
                        box-shadow:inset 0 2px 4px #00000035;
                        // margin-left: 16px;
                        &:focus-visible{
                            outline: none;
                        }
                        option{
                            padding: 8px auto;
                            text-transform: capitalize;
                            font-weight: 500;
                            &:hover{
                                background: #f5f5f5;
                            }
                        }
                    }
                    input[type='number'] {
                        padding: 0.375rem 0.75rem 0.375rem 7.8rem;
                    }
                    input[type='button']{
                        border: none;
                        border-radius: 5px;
                        padding: 10px 16px;
                        box-shadow: 0 3px 6px #00000035;
                        margin-left: 16px;
                        width: 100%;
                    }
                    input[type="checkbox"]{
                        appearance: none;
                        background-color: $light-color;
                        margin-right: 16px;
                        font: inherit;
                        color: $secondary-color;
                        width: 25px;
                        height: 25px;
                        border: 0.15em solid $primary-color;
                        border-radius: 0.15em;
                        transform: translateY(-0.075em);
                        cursor: pointer;
                        display: flex;
                        align-items: center;
                        justify-content: center;
                        outline: none;
                        &:after{
                            font-family: "Font Awesome 5 Free";
                            content: "\f00c";
                            font-weight: 600;
                            font-size: 16px;
                            color: $light-color;
                            display: none;
                        }
                    }
                    input[type="checkbox"]:checked{
                        background-color: $primary-color;
                        &::after{
                            display: block;
                        }
                    }
                    .mobile-input{
                        position: relative;
                        width: 100%;
                        #mobileNumber{
                            padding: 0.375rem 0.75rem 0.375rem 7.8rem;
                        }  
                        .country-code-input{
                            position: absolute;
                            display: grid;
                            grid-template-columns: 30px 40px 20px;
                            align-items: center;
                            text-align: center;
                            left: 12px;
                            top: 0px;
                            padding: 8px;
                            font-weight: 500;
                            color: #808080;
                            font-size: 15px;
                            cursor: pointer;
                            border-right: 1px solid #00000030;
                        }    
                        .country-code-box{
                           display: none;
                            position: absolute;
                            width: 100%;
                            max-height: 350px;
                            height: auto;
                            background-color: #EFEFEF;
                            right: 0px;
                            left: 0px;
                            top: 50px;
                            border-radius: 5px;
                            box-shadow: 0px 0px 4px #00000030;
                            overflow-y: scroll;
                            z-index: 10;
                            &::-webkit-scrollbar{
                                width: 3.5px;
                            }
                            &::-webkit-scrollbar-thumb {
                                background: #a09e9e; 
                                border-radius: 5px;
                            }
                            @media (max-width:420px) {
                                right: 0;
                                width: 280px;
                                left: 0;
                                margin: auto;
                            }
                            .search-country{
                                border-bottom: thin solid #ddd;
                                position: sticky;
                                padding: 5px 0;
                                top: 0;
                                background-color: #efefef;
                                z-index: 10;
                                input{
                                    font-size: 12px;
                                    background: #f9f9f9;
                                    padding: 10px;
                                    margin: 0 auto;
                                    width: 100%;
                                }
                            }
                            .country-code-data{
                                padding: 16px;
                                display: grid;
                                grid-template-columns: 40px auto 40px;
                                text-align: center;
                                border-bottom: thin solid #ddd;
                                cursor: pointer;
                                &:hover{
                                    background: linear-gradient(120deg, #FF88F3, #94BEFF);
                                    filter: brightness(125%);
                                    color: #000;
                                }
                                img{
                                    width: 20px;
                                } 
                            
                            }                       
                        }              
                    }
                    .option{
                        input[type="radio"]{
                            margin: 0 5px ;
                        }
                    }
                    .radio{
                    display: inline-flex;
                    align-items: center;
                    cursor: pointer;
                    margin-left: 10px;
                    font-size: 16px;
                    .radio-input{
                        display: none;                        
                    }
                    .radio-outline{
                       width: 1.25em; 
                       height: 1.25em;
                       border: 2px solid $secondary-color;
                       border-radius: 50px;
                       margin-right: 10px;
                       box-sizing: border-box;
                       padding: 3px;
                       &::after{
                        content:"";
                        width: 100%;
                        height: 100%;
                        display: block;
                        background: $secondary-color;
                        border-radius: 50px;
                        transform: scale(0);
                        transition: 0.15s;
                       }
                    }
                    .radio-input:checked + .radio-outline::after{
                        transform: scale(1);
                    }
                    }
                    
                    .location-input{
                        width: 100%;
                        position: relative;
                        .icon{
                            position: absolute;
                            right: 0px;
                            top: 1px;
                            padding: 0.375rem 0 0.375rem 0.5rem;
                            font-weight: 500;
                            color: #808080;
                            font-size: 15px;
                            cursor: pointer;
                            @media (max-width:486px){
                                right: 16px;
                            }
                        }
                    }
                }
                .required{
                    color: red;
                }
                .line{
                    height: 3px;
                    background-color: #f5f5f5 ;
                    margin: 2rem auto;
                } 
                @media (max-width:992px) {
                    .form-group{
                        flex-direction: column;
                        // align-items: flex-start !important;
                        // justify-content: center !important;
                        input[type='text']{
                            margin-left: 0;
                        }
                        input[type='button']{
                            margin-left: 0;
                        }
                        .cta{
                            align-items: center !important;
                        }
                        .location-input{
                            .icon{
                                right: 16px;
                            }
                        }
                    }
                    
                }
            }
        
        } 
    }
    .order-summary{
        padding: 25px 0;
        .head{
            font-size: 18px;
            font-weight: 600;
        }
        .list{
            background-color: #ec8ee336;
            padding: 1rem 3rem;
            border-radius: 8px;
            margin-top: 25px ;
            .product-info{
                position: relative;
                padding: 16px 0;
                img{
                    width: 100%;
                }
                .cart-counts{
                    position: absolute;
                    min-width: 20px;
                    height: 20px;
                    background-color: #fa3636;
                    padding: 4px 2px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    top: 3px;
                    right: 0px;
                    border-radius: 49% 51% 49% 51%/46% 48% 52% 54%;
                    span{
                        color: white;
                        font-size: 12px;
                    }
                }
            }
            .detail{
                padding: .75rem 0 .75rem .75rem;
                align-items: center;
            }
            .total{
                padding: 14px 0px;
                font-weight: 500;
                display: flex;
                justify-content: space-between;
                p{
                    margin-bottom: 16px;
                }
                span{
                    margin-left: 50px;
                }
                .grand-total{
                    font-weight: 600;
                    color: $secondary-color2;
                    font-size: 18px;
                }
            }
            .solid-action-btn{
                padding: 12px 30px;
                font-size: 16px;
            }
            @media(max-width:991px){
                .solid-action-btn{
                    width: 100%;
                }
                .detail{
                    .price{
                        text-align: right;
                    }
                }
            }
        }

    }
}
.blur-overlay{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(5px);
    align-items: center;
    justify-content: center;
    overflow: auto;
    animation-name: fadeIn;
    animation-duration: 0.3s;
    z-index: 1000;
    display: none;
    .dialog-box {
        margin: auto;
        background-color: #ffffff;
        box-shadow: 0 8px 32px rgb(0 0 0 / 32%);
        overflow: hidden;
        border-radius: 8px;
        width: 500px;
        height: 350px;
        animation-name: fadeUp;
        animation-duration: 0.5s;
        .heading{
            height: 56px;
            display: flex;
            align-items: center;
            justify-content: flex-end;
            padding: 30px 17px;
            .btnCloseDialog{
                background-color: #EDF2FE;
                border: none;
                padding: .5rem;
                outline: none;
                transition: all 0.3s ease;
                img{
                    height: 24px;
                     width: 24px;
                     opacity: 0.5;
                }
            }
        }
        .body{
            min-height: 200px;
            max-height: auto;
            overflow: auto;
            padding: 1rem;
            text-align: center;
            position: relative;
            display: block;
            h4{
                font-size: 30px;
                font-weight: 600;
                color: $secondary-color2;
            }
            span{
                font-weight: 500;
                font-size: 16px;
            }
        }
        .footer{
            display: flex;
            align-items: center;
            justify-content: center;
            height: 56px;
            padding: 0 1rem;
        }
    }
}
